Updates a specific client request associated with a phone call.
curl --request PATCH \
--url https://api.example.com/phone-calls/{id}/requests/{requestId} \
--header 'Content-Type: application/json' \
--data '
{
"status": "<string>",
"response": "<string>"
}
'import requests
url = "https://api.example.com/phone-calls/{id}/requests/{requestId}"
payload = {
"status": "<string>",
"response": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({status: '<string>', response: '<string>'})
};
fetch('https://api.example.com/phone-calls/{id}/requests/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"request": "<string>",
"clientId": 123,
"portalId": 123,
"phoneCallId": 123,
"phoneCallTranscriptLineId": 123,
"status": "<string>",
"response": "<string>",
"respondedAt": "2023-11-07T05:31:56Z",
"respondedByAccountId": 123,
"respondedBy": "<string>"
}PhoneCall
Updates a specific client request associated with a phone call.
PATCH
/
phone-calls
/
{id}
/
requests
/
{requestId}
Updates a specific client request associated with a phone call.
Path Parameters
The unique identifier of the phone call.
The unique identifier of the client request to update.
Body
application/jsontext/jsonapplication/*+json
The patch data containing status and response updates.
Response
OK
⌘I